/*
 TDM - various "Three D Mice" implementations for GNU Maverik
 Copyright (C) 1999-2001  Advanced Interfaces Group

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA


 The authors can be contacted via:
 www   - http://aig.cs.man.ac.uk
 email - tdm@aig.cs.man.ac.uk
 mail  - Advanced Interfaces Group, Room 2.94, Kilburn Building, 
         University of Manchester, Manchester, M13 9PL, UK
*/


#include "tdm.h"

#define SHM_KEY 1287 
#define MAX_NO_EVENTS  20

/* Serial glove routines */

int  gloveOpen(char *);
void gloveLoop(int);
void gloveClose(void);

/* The shared memory data structure */

typedef struct {
  float x;
  float y;
  float u[3];
  float v[3];
  float n[3];
  int event_in;
  int event_out;
  int but[5];
  TDM_buttonEvent event[MAX_NO_EVENTS];
} glove_shared;

extern glove_shared *shared;

