/*
 TDM - various "Three D Mice" implementations for GNU Maverik
 Copyright (C) 1999-2001  Advanced Interfaces Group

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA


 The authors can be contacted via:
 www   - http://aig.cs.man.ac.uk
 email - tdm@aig.cs.man.ac.uk
 mail  - Advanced Interfaces Group, Room 2.94, Kilburn Building, 
         University of Manchester, Manchester, M13 9PL, UK
*/


#include <math.h>

#define TDM_PI_OVER_180		0.017453292
#define TDM_180_OVER_PI		57.29578

typedef struct { float x, y, z; } TDM_vector;
typedef struct { float x, y, z, w; } TDM_quaternion;
typedef struct { float mat[4][4]; } TDM_matrix;

TDM_vector vectorSet(float,float,float);
TDM_vector vectorMult(TDM_vector,TDM_matrix);
TDM_quaternion quaternionSet(TDM_vector,float);
TDM_matrix matrixSet(float, float, float, float, float, float);
TDM_matrix matrixQuaternionConvert(TDM_quaternion);
void axisRotate(TDM_vector *,float,TDM_vector *,TDM_vector *,TDM_vector *);

