/*
 TDM - various "Three D Mice" implementations for GNU Maverik
 Copyright (C) 1999-2001  Advanced Interfaces Group

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA


 The authors can be contacted via:
 www   - http://aig.cs.man.ac.uk
 email - tdm@aig.cs.man.ac.uk
 mail  - Advanced Interfaces Group, Room 2.94, Kilburn Building, 
         University of Manchester, Manchester, M13 9PL, UK
*/


#include "mouseprivate.h"
#include <sys/types.h>
#include <sys/ipc.h>
#include <sys/shm.h>
#include <unistd.h>


/* Shared memory structure */

mouse_shared *shared;



/* Routine to initialise TDM */

int TDM_init(void)
{
  int ShmID;
  TDM_buttonEvent event;

  /* Get the shared memory segment (created by the daemon) */
  ShmID = shmget(SHM_KEY, sizeof(mouse_shared), 0666);
  if (ShmID == -1) return 0;

  /* Attach a pointer to it */
  shared = (mouse_shared *) shmat(ShmID,0,0);
  if ((int)shared == -1) return 0;

  /* flush event queue */
  do {} while (TDM_getEvent(&event));

  /* Check memeory still up after 1 sec */
  sleep(1);
  ShmID = shmget(SHM_KEY, sizeof(mouse_shared), 0666);
  if (ShmID == -1) return 0;

  return 1;
} 
