/*
 TDM - various "Three D Mice" implementations for GNU Maverik
 Copyright (C) 1999-2001  Advanced Interfaces Group

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA


 The authors can be contacted via:
 www   - http://aig.cs.man.ac.uk
 email - tdm@aig.cs.man.ac.uk
 mail  - Advanced Interfaces Group, Room 2.94, Kilburn Building, 
         University of Manchester, Manchester, M13 9PL, UK
*/


#include "mouseprivate.h"
#include <strings.h>
#include <stdio.h>



void TDM_getButtons(int button_status[TDM_MAX_TRACKERS][TDM_MAX_BUTTONS])
{
  int i, j;
  for (i=0; i<TDM_MAX_TRACKERS; i++) {
    for (j=0; j<TDM_MAX_BUTTONS; j++) {
      button_status[i][j]=0;
    }
  }

  button_status[0][0]= shared->but[0];
  button_status[0][1]= shared->but[1];
}



void TDM_getPosition(int tracker, TDM_position *pos)
{
  if (tracker==0)
  {
    pos->xpos=0;
    pos->ypos=0;
    pos->zpos=20;

    pos->u[0]= shared->u[0];
    pos->u[1]= shared->u[1];
    pos->u[2]= shared->u[2];
    pos->v[0]= shared->v[0];
    pos->v[1]= shared->v[1];
    pos->v[2]= shared->v[2];
    pos->n[0]= shared->n[0];
    pos->n[1]= shared->n[1];
    pos->n[2]= shared->n[2];
  }
  else
  {
    pos->xpos=0;
    pos->ypos=0;
    pos->zpos=20;
    pos->u[0]=1;
    pos->u[1]=0;
    pos->u[2]=0;
    pos->v[0]=0;
    pos->v[1]=1;
    pos->v[2]=0;
    pos->n[0]=0;
    pos->n[1]=0;
    pos->n[2]=1;
  }

  pos->status= 0;
}



int TDM_getEvent(TDM_buttonEvent *event)
{
  int rv=0;

  if (shared->event_in == shared->event_out) 
  {
    /* No events outstanding so return with value 0 */    
    rv= 0;
  }
  else
  {
    /* Copy the event at the event_out of queue into event structure passed */ 
    bcopy(&shared->event[shared->event_out], event, sizeof(TDM_buttonEvent)); 

    /* Update event_out pointer */
    shared->event_out++;
    if (shared->event_out == MAX_NO_EVENTS) shared->event_out=0;

    /* Return with a value of 1 */
    rv= 1;
  }
  
  return rv;
}


